[openssh-commits] [openssh] 01/07: upstream: Add test for username options parsing order, prompted by
git+noreply at mindrot.org
git+noreply at mindrot.org
Fri Apr 6 14:20:41 AEST 2018
This is an automated email from the git hooks/post-receive script.
djm pushed a commit to branch master
in repository openssh.
commit 323f66ce934df2da551f256f37d69822428e1ca1
Author: dtucker at openbsd.org <dtucker at openbsd.org>
Date: Fri Apr 6 04:18:35 2018 +0000
upstream: Add test for username options parsing order, prompted by
bz#2849.
OpenBSD-Regress-ID: 6985cd32f38596882a3ac172ff8c510693b65283
---
regress/sshcfgparse.sh | 13 ++++++++++++-
1 file changed, 12 insertions(+), 1 deletion(-)
diff --git a/regress/sshcfgparse.sh b/regress/sshcfgparse.sh
index 010e0286..26d4a6f3 100644
--- a/regress/sshcfgparse.sh
+++ b/regress/sshcfgparse.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: sshcfgparse.sh,v 1.2 2016/07/14 01:24:21 dtucker Exp $
+# $OpenBSD: sshcfgparse.sh,v 1.3 2018/04/06 04:18:35 dtucker Exp $
# Placed in the Public Domain.
tid="ssh config parse"
@@ -25,5 +25,16 @@ f=`${SSH} -GF $OBJ/ssh_config -W a:1 -o clearallforwardings=no h | \
awk '/clearallforwardings/{print $2}'`
test "$f" = "no" || fail "clearallforwardings override"
+verbose "user first match"
+user=`awk '$1=="User" {print $2}' $OBJ/ssh_config`
+f=`${SSH} -GF $OBJ/ssh_config host | awk '/^user /{print $2}'`
+test "$f" = "$user" || fail "user from config, expected '$user' got '$f'"
+f=`${SSH} -GF $OBJ/ssh_config -o user=foo -l bar baz at host | awk '/^user /{print $2}'`
+test "$f" = "foo" || fail "user first match -oUser, expected 'foo' got '$f' "
+f=`${SSH} -GF $OBJ/ssh_config -lbar baz at host user=foo baz at host | awk '/^user /{print $2}'`
+test "$f" = "bar" || fail "user first match -l, expected 'bar' got '$f'"
+f=`${SSH} -GF $OBJ/ssh_config baz at host -o user=foo -l bar baz at host | awk '/^user /{print $2}'`
+test "$f" = "baz" || fail "user first match user at host, expected 'baz' got '$f'"
+
# cleanup
rm -f $OBJ/ssh_config.[012]
--
To stop receiving notification emails like this one, please contact
djm at mindrot.org.
More information about the openssh-commits
mailing list